Description: Bonjour a tous,

Je m’appelle Olivier Moullet et je travail pour I'HEIG-VD de Yverdon-les-Bains.
Je suis nouveau sur ce forum et relativement débutant en LaTeX.

Je suis entrain de développer une application qui auto-génere le fichier LaTeX depuis un pool de question
présélectionné afin de permettre a des professeurs d'utiliser AMC sans devoir apprendre une nouveau

langage.

Je suis confronté a un probléme. Les grandes questions (ex: une image par réponse) se coupent en bas de
page et ne continuent pas sur les pages suivantes.

Est-ce qu'il existe une solution & mon probleme?

Ou alors I'énoncé d'une question et ses réponses doivent peuvent uniquement se trouver sur une méme
page?

Merci d'avance pour vos réponses,

Cordialement,

Olivier Moullet.

History

07/31/2013 01:01 pm - Alexis Bienveniie
Bienvenue sur le forum.
Pouvez-vous joindre un exemple de source LaTeX que I'on puisse essayer (avec les images nécessaires) pour mieux se rendre compte du probléme

et vous proposer une solution ?

07/31/2013 01:06 pm - Olivier Moullet
- File SourcelLatex.zip added

Voila, un fichier marche car les réponses ne sont pas trop grandes, j'ai alors dédoublé une réponse pour forcer I'erreur.

Merci de votre prompte support.

07/31/2013 02:35 pm - Alexis Bienveniie

L'option @bloc@ que vous utilisez dans votre appel au paquet LaTeX @automultiplechoice@ met chacune des questions dans un bloc, de sorte
qu'elles ne soient pas coupées sur deux pages différentes. Du coup, pour des questions qui ont une taille supérieure a une page, cela pose probleme.
Vous pouvez retirer cette option. Si vous utilisez une version récente d'/AMC, vous pouvez également annuler I'effet de cette option uniquement pour
les questions problématiques, en utilisant une construction du style

<pre>

{\AMCnobloc

\begin{question}
\end{question}

}

</pre>

07/31/2013 04:37 pm - Olivier Moullet
Je vais essayer cette derniére option.
Merci encore pour votre précieuse aide.
Meilleures salutations,

Olivier Moullet

09/12/2013 08:59 am - Alexis Bienveniie
- Status changed from New to Feedback
08/31/2014 07:28 pm - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Files
SourcelLatex.zip 215.7 kB 07/31/2013 Olivier Moullet
06/26/2025 2/2



